package com.holmos.cache.cache.listener;

/**
 * 缓存生命周期过程中触发
 * <li>缓存启动前</li>
 * <li>缓存启动后</li>
 * <li>缓存销毁前</li>
 * <li>缓存销毁后</li>
 * @author: 吴银龙(sunshine307087558@gmail.com)
 * @version: 2013-3-7 下午12:43:59 
 */

public interface CacheListener {
	
	/**
	 * 缓存启动前触发
	 * */
	public void beforeStarted();
	
	/**
	 * 缓存启动后触发
	 * */
	public void afterStarted();
	
	/**
	 * 缓存销毁前触发
	 * */
	public void beforeDestroyed();
	
	/**
	 * 缓存销毁后触发
	 * */
	public void afterDestroyed();
}
