
package com.holmos.cache.config.listener;


/**
 * 缓存配置文件监听器，用来扩展加载缓存的过程中的阶段，配置一些新的操作
 * 
 * @author: 吴银龙(sunshine307087558@gmail.com)
 * @version: 2013-3-7 下午12:24:30 
 */

public interface CacheConfigListener {
	
	/**
	 * 缓存配置文件加载之前触发
	 * */
	public void beforeConfigLoad();
	
	/**
	 * 加载层数为layer的缓存配置前触发
	 * */
	public void beforeConfigLoadOfLayer(int layer);
	
	/**
	 * 加载层数为layer的缓存配置后触发
	 * */
	public void afterConfigLoadOfLayer(int layer);
	
	/**
	 * 缓存配置文件加载之后触发
	 * */
	public void afterConfigLoad();
	
}
